/* ======================================================== */
/*                                                          */
/*                  Hlavickovy soubor                       */
/*                                                          */
/*                    HW_MIK.h                              */
/*                                                          */
/*                    Ver. 1.5                              */
/* ======================================================== */ 

/* ------------------ HW adresy --------------------------- */

#define	LED_OFF		1
#define	LED_ON		0

#define	OFF			0
#define	ON			1

	/* preruseni */
#define	ENABLE		EA = 1
#define	DISABLE		EA = 0		

	/* trasovaci vystupy */

sbit	TRAC1		=0x95;
sbit	TRAC2		=0x94;

sbit	RED_LED		=0xC6;		/* P4.6 */
sbit	GREEN_LED	=0xC7;		/* P4.7 */
	
	/* delici pomer pro Timer 0 - pro casovani seriove linky 9k6 */
	/* SMOD = 0, casovac v MODE 2                                */
	
#define	T1_9600		0xFD
#define	T1_4800		0xFA
#define	T1_2400		0xF4
#define	T1_1200		0xE8

	/* delici pomer pro Timer 0 - 0.0005 sec */
#define	TL0_0005		0x33
#define	TH0_0005		0xFE

/* delici pomer pro Timer 0 - 0.001 sec */
#define	TL0_001		0x66
#define	TH0_001		0xFC

	/* delici pomer pro Timer 1 - 0.020 sec */
#define	TL1_020		0x00
#define	TH1_020		0xB8

	/* delici pomer pro Timer 1 - 0.050 sec */
#define	TL1_050		0x00
#define	TH1_050		0x4C

	/* adresa pro buzeni externiho WDC */
sbit	WDC		=0xB6;

/* ---------------- Funkcni prototypy --------------------- */

void init_serial(void) ;
void serial_int(void) ;
void init_timer_0(void) ;
void init_timer_1(void) ;
void timer0_int(void) ;
void timer1_int(void) ;
void wait(unsigned int n_ms) ;
void start_timeout(unsigned int delay) ;
void stop_timeout(void) ;
void i2c_start_timeout(unsigned char delay) ;
void i2c_stop_timeout(void) ;

/* ============ END of HW_M_LCD.H ========================= */
 
 
